Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class MaxTracedMessageSequenceDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.MaxTracedMessageSequenceDO

    public class MaxTracedMessageSequenceDO

extends AbstractDataObject

This DO keeps track of the maximum sequence of the traced message of each service operation

Constructor Summary
`MaxTracedMessageSequenceDO()`
`MaxTracedMessageSequenceDO(java.lang.String serviceName, java.lang.String serviceVersion, java.lang.String operationName, long sequenceId)`

Method Summary
`java.lang.String` | `getOperationName()`
`long` | `getSequenceId()`
`java.lang.String` | `getServiceName()`
`java.lang.String` | `getServiceVersion()`
`void` | `setOperationName(java.lang.String operationName)`
`void` | `setSequenceId(long sequenceId)`
`void` | `setServiceName(java.lang.String serviceName)`
`void` | `setServiceVersion(java.lang.String serviceVersion)`

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxTracedMessageSequenceDO

    public MaxTracedMessageSequenceDO(java.lang.String serviceName,
                                      java.lang.String serviceVersion,
                                      java.lang.String operationName,
                                      long sequenceId)

### MaxTracedMessageSequenceDO

    public MaxTracedMessageSequenceDO()

Method Detail

### getServiceName

    public java.lang.String getServiceName()

### setServiceName

    public void setServiceName(java.lang.String serviceName)

### getServiceVersion

    public java.lang.String getServiceVersion()

### setServiceVersion

    public void setServiceVersion(java.lang.String serviceVersion)

### getOperationName

    public java.lang.String getOperationName()

### setOperationName

    public void setOperationName(java.lang.String operationName)

### getSequenceId

    public long getSequenceId()

### setSequenceId

    public void setSequenceId(long sequenceId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD